Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ormapping
Class ExplicitOracleBlobMapping

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
            |
            +--com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
                  |
                  +--com.solarmetric.kodo.impl.jdbc.ormapping.LobMapping
                        |
                        +--com.solarmetric.kodo.impl.jdbc.ormapping.BlobMapping
                              |
                              +--com.solarmetric.kodo.impl.jdbc.ormapping.OracleBlobMapping
                                    |
                                    +--com.solarmetric.kodo.impl.jdbc.ormapping.ExplicitOracleBlobMapping

All Implemented Interfaces:
  LoadSecondary, PrimaryTable, StorePrimary, StoreSecondary

public class ExplicitOracleBlobMapping
extends OracleBlobMapping

Represents the mapping of a field explicitly marked a BLOB by its metadata. The normal BLOB mapping is used as a catch-all; this one is tested first in case the user wants to use a BLOB for a field that could normally be persisted in another manner. This is for Oracle data stores only.

Field Summary
`static String` | `BLOB` Metadata extension key used to mark whether a field should be serialized as a blob.

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.OracleBlobMapping
`EMPTY_BLOB`

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`COL_INDEX, COL_LENGTH, DATA_COL`

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`CUSTOM_MAPPING, dict, MAPPING, TABLE`

Constructor Summary
`ExplicitOracleBlobMapping()`

Method Summary
`protected boolean` | `canMap(FieldMetaData fmd, ClassResolver resolver)`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.OracleBlobMapping
`update, update`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.BlobMapping
`getSQLType`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.LobMapping
`delete, delete, getColumns, getLoadResultSet, getPKColumns, insert, insert, install, load, setPKColumns`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`compareToNull, getDataColumns, getInstance, getInstance, getMetaData, join, setDataColumns`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`createMappings, createMappings, getConfiguration, getDictionary, getInstance, getTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.solarmetric.kodo.impl.jdbc.ormapping.LoadSecondary
`load`

Methods inherited from interface com.solarmetric.kodo.impl.jdbc.ormapping.StorePrimary
`delete, insert`

Methods inherited from interface com.solarmetric.kodo.impl.jdbc.ormapping.StoreSecondary
`delete, insert`

Methods inherited from interface com.solarmetric.kodo.impl.jdbc.ormapping.PrimaryTable
`getColumns`

Field Detail

### BLOB

    public static final String BLOB

  Metadata extension key used to mark whether a field should be serialized as a blob.

Constructor Detail

### ExplicitOracleBlobMapping

    public ExplicitOracleBlobMapping()

Method Detail

### canMap

    protected boolean canMap(FieldMetaData fmd,
                             ClassResolver resolver)

  Overrides:
    `canMap` in class `BlobMapping`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.